/******************************************************************************
* File:    util.h
* 
* Purpose: Provide a mechanism for importing SW environment header files.
* Author:  Quinten Brooks, Freescale Semiconductor
* Email:   quinten.brooks@freescale.com
* Date:    2007.03.21
******************************************************************************/

#ifndef __UTIL_H
#define __UTIL_H  1

/* Used by all ".c" files */
#include "main_cfg.h"           // Control MCD C API Implementation
#include "cpu.h"                // Import platform specific macros
#include "mc56f8006.h"          // Import device memory map and peripherals
#include "mcd_c_api.h"          // Import MCD C API
#include "tb_util.h"            // Import testbench macros and functions
#include "main.h"               // Import functions and globals from "main.c"

/* Used by "vectors.c" */
#include "vectors.h"            // Defines standard reset vectors and ISRs

/* Used by "vectors.c" and "isr.c" to define custom ISRs. */
#include "isr.h"                // Defines custom ISRs

#endif  __UTIL_H

/* End of "util.h" */
